Unread
curl --request PUT \
--url https://api.capy.ai/api/v1/threads/{threadId}/unread \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.capy.ai/api/v1/threads/{threadId}/unread"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.capy.ai/api/v1/threads/{threadId}/unread', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"projectId": "<string>",
"authorId": "<string>",
"previousAuthorId": "<string>",
"title": "<string>",
"titleCustom": true,
"status": "working",
"archived": true,
"lastModelId": "<string>",
"usage": {
"llmCredits": 123,
"imageCredits": 123,
"vmCredits": 123,
"totalCredits": 123
},
"createdAt": "<string>",
"updatedAt": "<string>",
"lastActivityAt": "<string>",
"hasUnreads": true,
"mentionCount": 123,
"owed": true,
"member": true,
"needsYou": true,
"crewNeedsYou": 123,
"participated": true,
"crewMentionCount": 123,
"captain": {
"jamId": "<string>",
"name": "<string>",
"avatar": {
"kind": "preset",
"value": "<string>",
"background": "<string>"
}
},
"crewCount": 123
}{
"_tag": "capy/Unauthorized"
}{
"_tag": "capy/ThreadNotFound",
"threadId": "<string>"
}{
"_tag": "capy/RateLimited",
"retryAfterSeconds": 123
}threads
Unread
PUT
/
api
/
v1
/
threads
/
{threadId}
/
unread
Unread
Authorizations
An API key created in Capy under Settings → API.
Path Parameters
Response
Thread
Available options:
working, waiting, idle, failed, archived Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I